AOZ Studio Beta - Bug #858

Play Audio sometimes playing the wrong audio in the internal player
10/30/2021 12:33 PM - Paul Kitching

Status: Resolved Start date: 10/30/2021
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

If | use the same audio number to play a different piece of audio using F2 for the internal player, | often get the previous sound
playing, and sometimes over the top of the next one.

#splashScreen:False
tunes=3
tunenum=1
dim tune$ (3)
tune$ (1) ="One.mp3"
tune$ (2)="Two.mp3"
tune$ (3)="Three.mp3"
load asset "tunes\"+tune$ (tunenum), 50
print str$ (tunenum), "tunes\"+tune$ (tunenum)
play audio 50:audio loop on 50:volume audio 50,90
do
if timer>4
add tunenum, 1,1 to tunes
print tunenum
stop audio 50
audio loop off 50
load asset "tunes\"+tune$ (tunenum), 50
print str$ (tunenum), "tunes\"+tune$ (tunenum)
play audio 50
audio loop on 50
volume audio 50, 90
timer=0
end if
wait vbl
loop

When | test this with short samples | usually get a repeated sample, and doing the same in a game using longer tuners | often get the
previous tune playing again but it plays the next one at the same time.

This seems to work correctly in a browser.

History

#1 - 10/30/2021 12:56 PM - Paul Kitching

I think it's doing it in a browser sometimes, too. | haven't had it with the example above using my test mp3s (it was in a game I'm finishing off), but
once that's fixed it should fix it when played in a browser. It looks like the player is more likely to do it.

#2 - 10/30/2021 04:55 PM - Paul Kitching

| tried using a different asset number for each tune, but when | tried
tunenum=1

play audio 49+tunenum

| get an error saying the message identifier isn't found and audio_not_loaded

#3 - 10/30/2021 05:20 PM - Paul Kitching

I've found a workaround.

If you put a wait 0.5 after a load asset so it waits before playing it, it will then work.
#4 - 11/06/2021 11:51 AM - Baptiste Bideaux
- Status changed from New to Resolved

- Assignee changed from Francois Lionet to Baptiste Bideaux

The Load Asset command detects if a file already uses the reference given as an argument and does not perform the second loading.

By Example:
Load Asset "asset1.png", 50 // Loading the asset1.png file and stores it under the reference 50.

Load Asset "asset2.png", 50 // The load will not collapse because the reference 50 is used by another image.

If you want to update an asset already loaded, you should to delete the previous asset :
Load Asset "asset1.png”, 50 // Loading the asset1.png file and stores it under the reference 50.

Del Asset "image", 50 // Delete of the images bank the asset referenced 50.
Load Asset "asset2.png”, 50 // Loading the asset2.png file and stores it under the reference 50.
